# this file must be UTF-8 encoded
######################################################################
#
# English Language text and icon macros 
# -- this file contains text that is of less importance
# -- to translate when creating a new interface language
######################################################################



######################################################################
# 'home' page
package home
######################################################################

#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_documents_ { documents. }
_lastupdate_ {Last updated}
_ago_ {days ago.}
_colnotbuilt_ {Collection not built.}

_textpagetitle_ {Greenstone Digital Library}
_textadmin_ {Administration Page}
_textabgs_ {About Greenstone}
_textgsdocs_ {Greenstone Documentation}

_textimagegli_ {
Helps you create new collections, modify or add to existing ones, or delete
collections
}

_textimagecollector_ {
This predates the librarian interface, and for most practical purposes the librarian interface should be used instead
}

_textimagetranslator_ {
Helps you keep the multilingual versions of the Greenstone interface
up to date
}

_textimageadmin_ {
Allows you to add new users, summarizes the collections in the system,
gives technical information on the Greenstone installation
}

_textimagegogreenstone_ {
Tells you about the Greenstone software and the New Zealand Digital Library
Project where it originated
}

_textimagegodocs_ {Greenstone manuals}

_textpoem_ {
<br><h2>Kia papapounamu te moana</h2>

<p>kia hora te marino,
<br>kia tere te karohirohi,
<br>kia papapounamu te moana

<p>may peace and calmness surround you,
<br>may you reside in the warmth of a summer's haze,
<br>may the ocean of your travels be as smooth as the polished greenstone.
}

_textgreenstone_ { 
<p>Greenstone is a semi-precious stone that (like this software) is sourced
in New Zealand.  In traditional Maori society it was the most highly prized
and sought after of all substances.  It can absorb and hold <i>wairua</i>,
which is a spirit or life force, and is endowed with traditional virtues
that make it an appropriate emblem for a public-domain digital library
project.  Its lustre shows charity; its translucence, honesty; its
toughness, courage; and the sharp edge it can take, justice.  The carved
piece used in the Greenstone Digital Library Software logo is a <i>patu</i>
or fighting club, and is a family heirloom of one of our project members.
In hand-to-hand combat its delivery is very quick, very accurate, and very
complete.  We like to think these qualities also apply to our software, the
razor sharp edge of the <i>patu</i> symbolizing the leading edge of
technology.
}

_textaboutgreenstone_ {
<p>Greenstone is a suite of software for building and distributing digital
library collections. It provides a new way of organizing information and
publishing it on the Internet or on CD-ROM.  Greenstone is produced by the
<b>New Zealand Digital Library Project</b> at the <b>University of
Waikato</b>, and developed and distributed in cooperation with
<b>UNESCO</b> and the <b>Human Info NGO</b>.  It is open-source
software, available from <a
href="http://greenstone.org">http://greenstone.org</a> under the terms of
the GNU General Public License.

<p>The aim of the software is to empower users, particularly in
universities, libraries, and other public service institutions, to
build their own digital libraries.  Digital libraries are radically
reforming how information is disseminated and acquired in UNESCO's
partner communities and institutions in the fields of education,
science and culture around the world, and particularly in developing
countries.  We hope that this software will encourage the effective
deployment of digital libraries to share information and place it in
the public domain.


<p>This software is developed and distributed as an international
cooperative effort established in August 2000 among three parties.

<table border="0">
<tr valign="top">
<td>
<a href="http://nzdl.org"><b>New Zealand Digital Library Project at the University of Waikato</b></a>
<br>
Greenstone software grew out of this project, and this initiative
has been endorsed by the Communication Sub-Commission of the New
Zealand National Commission for UNESCO as part of New Zealand's
contribution to UNESCO's programme.
</td>
<td></td>
</tr>
<tr valign="top">
<td>
<a href="http://www.unesco.org"><b>United Nations Educational, Scientific and Cultural Organization</b></a>
<br>
The dissemination of educational, scientific and cultural information
throughout the world, and particularly its availability in developing
countries, is central to UNESCO's goals as pursued within its
intergovernmental Information for All Programme, and appropriate,
accessible information and communication technology is seen as an important
tool in this context.
</td>
<td><a href="http://www.unesco.org"><img src="_httpimg_/unesco.gif"
border="0"></a></td>
</tr>
<tr valign="top">
<td>
<a href="http://humaninfo.org"><b>The Human Info NGO, based in Antwerp, Belgium</b></a>
<br>
This project works with UN agencies and other NGOs, and has established
a worldwide reputation for digitizing documentation of interest to
human development and making it widely available, free of charge to
developing nations and on a cost-recovery basis to others.
</td>
<td><a href="http://humaninfo.org"><img src="_httpimg_/ghproj2.jpg" border="0"></a></td>
</tr>
</table>
}

#------------------------------------------------------------
# icons
#------------------------------------------------------------

## "THE NEW ZEALAND DIGITAL LIBRARY" ## nzdl_heading ## nzdl2gr ##
_httpiconnzdl_ {_httpimg_/nzdl2gr.gif}
_widthnzdl_ {457}
_heightnzdl_ {181}

## "select a collection" ## green_bar_left_aligned ## selcolgr ##
_httpiconselcolgr_ {_httpimg_/selcolgr.gif}
_widthselcolgr_ {537}
_heightselcolgr_ {17}
_altselcolgr_ {"Select a collection"}


## "The Librarian Interface" ## top_nav_button ## cgli ##
_httpiconcgliof_ {_httpimg_/cgliof.gif}
_httpiconcglion_ {_httpimg_/cglion.gif}
_widthcgli_ {100}

## "The Collector" ## top_nav_button ## ccol ##
_httpiconccolof_ {_httpimg_/ccolof.gif}
_httpiconccolon_ {_httpimg_/ccolon.gif}
_widthccol_ {100}

## "The Translator" ## top_nav_button ## ctrans ##
_httpiconctransof_ {_httpimg_/ctransof.gif}
_httpiconctranson_ {_httpimg_/ctranson.gif}
_widthctrans_ {100}

## "Administration Page" ## top_nav_button ## cadmin ##
_httpiconcadminof_ {_httpimg_/cadminof.gif}
_httpiconcadminon_ {_httpimg_/cadminon.gif}
_widthcadmin_ {100}

## "About Greenstone" ## top_nav_button ## cabgs ##
_httpiconcabgsof_ {_httpimg_/cabgsof.gif}
_httpiconcabgson_ {_httpimg_/cabgson.gif}
_widthcabgs_ {100}

## "Greenstone Documentation" ## top_nav_button ## cgsdoc ##
_httpiconcgsdocof_ {_httpimg_/cgsdocof.gif}
_httpiconcgsdocon_ {_httpimg_/cgsdocon.gif}
_widthcgsdoc_ {100}


######################################################################
# home help page
package homehelp
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_text4buts_ {There are four further buttons on the home page}

_textnocollections_ {
<p>There are currently no collections available to this Greenstone installation. 
To add some collections you may either
<ul><li>Use <a href="_httppagecollector_">The Collector</a> to build new collections
    <li>If you have a Greenstone cd-rom you may install collections from cd-rom
</ul>
}

_text1coll_ {This Greenstone installation contains 1 collection}

_textmorecolls_ {This Greenstone installation contains _1_ collections}

######################################################################
# external link package
package extlink
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textextlink_ {External Link}
_textlinknotfound_{Internal Link not Found}

_textextlinkcontent_ {The link you have selected is external to any of your currently selected collections.
    If you still wish to view this link and your browser has access to 
    the Web, you can <a href="_nexturl_">go forward</a> to this page; otherwise 
    use your browsers "back" button to return to the previous document.}

_textlinknotfoundcontent_ {For reasons beyond our control, the internal link you have selected 
    does not exist.  This is probably due to an error in the source collection.
    Use your browsers "back" button to return to the previous document.}

# should have arguments of collection, collectionname and link
_foundintcontent_ {

<h3>Link to "_2_" collection</h3>

<p> The link you have selected is external to the "_collectionname_"
    collection (it links to the "_2_" collection).
    If you wish to view this link in the "_2_" collection you can 
    <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">go forward</a> to this page; 
    otherwise use your browsers "back" button to return to the previous document.
}


#------------------------------------------------------------
# icons
#------------------------------------------------------------



######################################################################
# authentication page
package authen
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textGSDLtitle_ {Greenstone Digital Library}

_textusername_ {username}
_textpassword_ {password}

_textmessageinvalid_ {The page you have requested requires you to sign in.<br>
_If_(_cgiargug_,[Note that you must belong to the "_cgiargug_" group to access this page]<br>)
Please enter your Greenstone username and password.}

_textmessagefailed_ {Either your username or password was incorrect.}

_textmessagedisabled_ {Sorry, your account has been disabled. Please contact
the webmaster for this site.}

_textmessagepermissiondenied_ {Sorry, you do not have permission to access this page.}

_textmessagestalekey_ {The link you have followed is now stale. 
Please enter your password to access this page.}


######################################################################
# 'docs' page 
package docs
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textnodocumentation_ {
<p>This Greenstone installation does not include any documentation. This
may be because:
<ol>
 <li>Greenstone was installed from CD-ROM using a compact installation.
 <li>Greenstone was installed from a distribution downloaded from the
 internet.
</ol>
In either case you may obtain the documentation either from the <i>docs</i>
directory of a Greenstone CD-ROM or by visiting <a
href="http://www.greenstone.org">http://www.greenstone.org</a>.
}

_textuserguide_ {User's Guide}
_textinstallerguide_ {Installer's Guide}
_textdeveloperguide_ {Developer's Guide}
_textpaperguide_ {From Paper to Collection}
_textorganizerguide_ {Using the Organizer}

#------------------------------------------------------------
# icons
#------------------------------------------------------------

## "greenstone documentation" ## green_bar_left_aligned ## gsdocsgr ##
_httpicongsdocsgr_ {_httpimg_/gsdocsgr.gif}
_widthgsdocsgr_ {_pagewidth_}
_heightgsdocsgr_ {17}


######################################################################
# collectoraction
package collector
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textdefaultstructure_ {default structure}
_textmore_ {more}
_textcollector_ {The Collector}
_textinfo_ {Collection information}
_textsrce_ {Source data}
_textconf_ {Configure collection}
_textbild_ {Build}
_textview_ {view}
_textdel_ {delete collection}
_textexpt_ {export collection}

_textdownloadingfiles_ {Downloading files ...}
_textimportingcollection_ {Importing collection ...}
_textbuildingcollection_ {Building collection ...}
_textcreatingcollection_ {creating collection ...}

_textcollectorblurb_ {
<i>The pen is mightier than the sword!
<br>Building and distributing information collections carries responsibilities
that you may want to reflect on before you begin.
There are legal issues of copyright: being able to access documents doesn't
mean you can necessarily give them to others.
There are social issues:  collections should respect the customs of the
community out of which the documents arise.
And there are ethical issues: some things simply should not be made 
available to others.
<br>Be sensitive to the power of information and use it wisely.
</i>
}

_textcb1_ {
The Collector helps you to create new collections, modify or add to
existing ones, or delete collections.  To do this you will be guided through a
sequence of Web pages which request the information that is needed.
}

_textcb2_ {First, you must decide whether to}
_textcnc_ {create a new collection}
_textwec_ {work with an existing one, adding data to it or deleting it.}

_textcb3_ {
In order to build or modify digital library collections you must sign in.
This is to protect you from others logging in to your computer and altering
the information on it.  Note: for security reasons you will be
automatically logged out once a 30 minute period has elapsed since you
logged in.  If this happens, don't worry! -- you will be invited to log in
again and can continue from where you left off.
}

_textcb4_ {
Please enter your Greenstone username and password, and click the button to
sign in.
}

_textfsc_ {
First select the collection that you want to work with (write protected
collections won't appear in this list).
}

_textwtc_ {With the collection you have selected, you can}
_textamd_ {Add more data and rebuild the collection}
_textetc_ {Edit the collection configuration file and rebuild the collection}
_textdtc_ {Delete the collection entirely}
_textetcfcd_ {Export the collection for writing to a self-installing Windows CD-ROM}
_textcaec_ {Changing an existing collection}
_textnwec_ {No write-enabled collections are available for modifying}
_textcianc_ {Creating a new collection}
_texttsosn_ {The sequence of steps needed to create a new digital library collection is:}
_textsin_ {Specify its name (and associated information)}
_textswts_ {Specify where the source data comes from}
_textatco_ {Adjust the configuration options (advanced users only)}
_textbtc_ {"Build" the collection (see below)}
_textpvyh_ {Proudly view your handiwork.}

_texttfsiw_ {
The fourth step is where the computer does all the work.  In the "building"
process the computer makes all the indexes and gathers together any other
information that is required to make things work.  But first you have to
specify the information.
}

_textadab_ {
A diagram appears below that will help you keep track of where you are.
The green button is the one that you click to carry on in the sequence.  As
you go through the sequence, the buttons will change to yellow.  You can
return to a previous page by clicking on the corresponding yellow button in
the diagram.
}

_textwyar_ {
When you are ready, click the green "collection information" button to
begin creating your new digital library collection!
}

_textcnmbs_ {Collection name must be specified}
_texteambs_ {Email address must be specified}
_textpsea_ {Please specify email address in the form: username@domain}
_textdocmbs_ {Description of collection must be specified}

_textwcanc_ {
When creating a new collection you need to enter some preliminary
information about the source data.  This process is structured as a series
of Web pages, overseen by The Collector.  The bar at the bottom of the page
shows you the sequence of pages to be completed.
}

_texttfc_ {Title for collection:}

_texttctiasp_ {
The collection title is a short phrase used throughout the digital library
to identify the content of the collection.  Example titles include
"Computer Science Technical Reports" and "Humanity Development Library."
}

_textcea_ {Contact email address:}

_textteas_ {
This email address specifies the first point of contact for the collection.
If the Greenstone software detects a problem, a diagnostic report is sent
to this address.  Enter an email address in its full form:
<tt>name@domain</tt>.
}

_textatc_ {About this collection:}

_texttiasd_ {
This is a statement describing the principles governing what is included in
the collection.  It appears on the first page when the collection is
presented.
}

_textypits_ {
Your position in the sequence is indicated by an arrow underneath--in this
case, the "collection information" stage.  To proceed, click the green
"source data" button.
}

_srcebadsources_ {
<p>One or more of the input sources you specified is unavailable (marked
_iconcross_ below).

<p>This might be because
<ul>
<li>The file, FTP site or URL does not exist.
<li>You need to dial up your ISP first.
<li>You are trying to access a URL from behind a firewall (this is the case
if you normally have to present a username and password to access the
internet).
</ul>

<p>If this is a URL that you can see in your browser, it may be coming from
a locally cached copy. Unfortunately, locally cached copies are invisible
to our mirroring process. In this case we recommend that you download the
pages using your browser first.
}

_textymbyco_ {
<p>You may base your collection on either
<ul>
<li>The default structure
<dl><dd>The new collection may contain html documents (.htm, .html), plain text
documents (.txt, .text), MS Word documents (.doc), PDF documents (.pdf) or
"m-box" format email documents (.mbx).</dd></dl>
<li>An existing collection
<dl><dd>The files in your new collection must be exactly the same type as those
used to build the existing one.</dd></dl>
</ul>
}

_textbtco_ {Base the collection on}
_textand_ {Add new data}
_textad_ {Adding data:}

_texttftysb_ {
The files that you specify below will be added to the collection. Make sure
that you do not re-specify files that are already in the collection:
otherwise two copies will be included. Files are identified by their full
pathname, Web pages by their absolute Web address.
}

_textis_ {Input sources:}

_textddd1_ {
<p>If you use file:// or ftp:// to specify a file, that file will be
downloaded.

<p>If you use http:// it depends on whether the URL gives you a normal web
page in your browser, or a list of files.  If a page, that page will be
downloaded -- and so will all pages it links to, and all pages they link
to, etc. -- provided they reside on the same site, below the URL.

<p>If you use file:// or ftp:// to specify a folder or directory, or give a
http:// URL that leads to a list of files, everything in the folder and all
its sub-folders will be included in the collection.

<p>Click the "more sources" button to get more input boxes.
}

_textddd2_ {
<p>Click one of the green buttons. If you are an advanced user you may want
to adjust the collection configuration. Alternatively, go straight to the
building stage. Remember, you can always revisit an earlier stage by
clicking its yellow button.
}

_textconf1_ {
<p>The building and presentation of your collection are controlled by
specifications in a special "configuration file".  Advanced users may want
to alter the configuration settings.

<center><p><b>If you are not an advanced user, just go to the bottom of the
page.</b></center> 

<p>To alter the configuration settings, edit the data that appears below.
If you make a mistake, click on "Reset" to reinstate the original
configuration settings.
}

_textreset_ {Reset}

_textbild1_ {
The collection is now being built: this might take some time. The building
status line below gives feedback on how the operation is progressing.
}

_textbild2_ {
To stop the building process at any time, click here.
<br>The collection you are working on will remain intact.
}

_textstopbuild_ {stop building}

_textbild3_ {
If you leave this page (and have not cancelled the building process with
the "stop building" button) the collection will continue to build and will
be installed upon successful completion.
}

_textbuildcancelled_ {Build cancelled}

_textbildcancel1_ {
The collection building process was cancelled. Use the yellow buttons below
to make changes to your collection or restart the building process.
}

_textbsupdate1_ {Building status update in 1 second}
_textbsupdate2_ {Building status update in}
_textseconds_ {seconds}
_textbildsuc_ {Collection built successfully.}

_textviewbildsummary_ {
You may <a href="_httppagex_(bsummary)&c=_cgiargbc1dirname_" target=_top>view the build
summary</a> of this collection for further details.
}

_textfailmsg11_ {
The collection could not be built as it contains no data. Make sure that at
least one of the directories or files you specified on the <i>source
data</i> page exists and is of a type or (in the case of a directory)
contains files of a type, that Greenstone can process.
}

_textfailmsg21_ {The collection could not be built (import.pl failed).}
_textblcont_ {The build log contains the following information:}

_texttryagain_ {
Please <a href="_httppagecollector_" target=_top>restart the collector</a>
and try again.
}

_textfailmsg31_ {The collection could not be built (buildcol.pl failed).}
_textfailmsg41_ {The collection was built successfully but could not be installed.}
_textfailmsg71_ {An unexpected error occurred while attempting to build your collection}
_textretcoll_ {Return to the collector}

_textdelperm_ {
Some or all of the _cgiargbc1dirname_ collection could not be
deleted. Possible causes are:
<ul>
<li> Greenstone does not have permission to delete the _gsdlhome_/collect/_cgiargbc1dirname_
directory.<br>
You may need to remove this directory manually to complete the removal of the _cgiargbc1dirname_
collection from this computer.</li>
<li>Greenstone can not run the program _gsdlhome_/bin/script/delcol.pl. Make sure that this file is readable and executable.</li>
</ul>
}

_textdelinv_ {
The _cgiargbc1dirname_ collection is protected or invalid. Deletion was cancelled.
}

_textdelsuc_ {The _cgiargbc1dirname_ collection was successfully deleted.}

_textclonefail_ {
The _cgiargclonecol_ collection cound not be cloned. Possible causes are:
<ul>
<li> The _cgiargclonecol_ collection doesn't exist
<li> The _cgiargclonecol_ collection has no collect.cfg configuration file
<li> Greenstone does not have permission to read the collect.cfg configuration file
</ul>
}

_textcolerr_ {Collector error.}

_texttmpfail_ {
The collector failed to read from or write to a temporary file or
directory. Possible causes are:
<ul>
<li> Greenstone does not have read/write access to the _gsdlhome_/tmp
     directory.
</ul>
}

_textmkcolfail_ {
The collector failed to create the directory structure required by the new
collection (mkcol.pl failed). Possible causes are:
<ul>
<li> Greenstone does not have permission to write to the _gsdlhome_/tmp
     directory.
<li> mkcol.pl perl script errors.
</ul>
}

_textnocontent_ {
Collector error: no collection name was provided for the new collection. Try 
restarting the Collector from the beginning.
}

_textrestart_ {Restart the Collector}

_textreloaderror_ {
An error occurred while creating the new collection. This may have been due
to Greenstone getting confused by the use of your browser's "reload" or
"back" buttons (please try to avoid using these buttons while creating a
collection with the Collector).  It is recommended that you restart the
Collector from the beginning.
}

_textexptsuc_ {
The _cgiargbc1dirname_ collection was successfully exported to the
_gsdlhome_/tmp/exported\__cgiargbc1dirname_ directory.
}

_textexptfail_ {
<p>Failed to export the _cgiargbc1dirname_ collection.

<p>This is likely to be because Greenstone was installed without the
necessary components to support the "Export Collection" function.
<ul>

 <li>If you installed Greenstone from a CD-ROM these components won't have
 been installed unless you selected them during a "Custom" install.
 You may add them to your installation by re-running the installation 
 procedure.

 <li>If you installed Greenstone from a web distribution you will need to
 download and install an additional package to enable this function. Please
 visit <a href="http://www.greenstone.org">http://www.greenstone.org</a> or
 email <a
 href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>
 for further details.

</ul>
}

#------------------------------------------------------------
# icons
#------------------------------------------------------------

## "The collector" ## green_title ## h_colect ##
_httpiconhcolect_ {_httpimg_/h\_colect.gif}

## "collection information" ## collector_bar_button ## info ##
_httpicongcinfoof_ {_httpimg_/gcinfoof.gif}
_httpicongcinfoon_ {_httpimg_/gcinfoon.gif}
_httpiconycinfoof_ {_httpimg_/ycinfoof.gif}
_httpiconycinfoon_ {_httpimg_/ycinfoon.gif}
_httpiconncinfoof_ {_httpimg_/ncinfoof.gif}

## "source data" ## collector_bar_button ## srce ##
_httpicongcsrceof_ {_httpimg_/gcsrceof.gif}
_httpicongcsrceon_ {_httpimg_/gcsrceon.gif}
_httpiconycsrceof_ {_httpimg_/ycsrceof.gif}
_httpiconycsrceon_ {_httpimg_/ycsrceon.gif}
_httpiconncsrceof_ {_httpimg_/ncsrceof.gif}

## "configure collection" ## collector_bar_button ## conf ##
_httpicongcconfof_ {_httpimg_/gcconfof.gif}
_httpicongcconfon_ {_httpimg_/gcconfon.gif}
_httpiconycconfof_ {_httpimg_/ycconfof.gif}
_httpiconycconfon_ {_httpimg_/ycconfon.gif}
_httpiconncconfof_ {_httpimg_/ncconfof.gif}

## "build collection" ## collector_bar_button ## bild ##
_httpicongcbildof_ {_httpimg_/gcbildof.gif}
_httpicongcbildon_ {_httpimg_/gcbildon.gif}
_httpiconycbildof_ {_httpimg_/ycbildof.gif}
_httpiconycbildon_ {_httpimg_/ycbildon.gif}
_httpiconncbildof_ {_httpimg_/ncbildof.gif}

## "view collection" ## collector_bar_button ## view ##
_httpicongcviewof_ {_httpimg_/gcviewof.gif}
_httpicongcviewon_ {_httpimg_/gcviewon.gif}
_httpiconycviewof_ {_httpimg_/ycviewof.gif}
_httpiconycviewon_ {_httpimg_/ycviewon.gif}
_httpiconncviewof_ {_httpimg_/ncviewof.gif}

## "delete collection" ## collector_bar_button ## del ##
_httpicongcdelof_ {_httpimg_/gcdelof.gif}
_httpicongcdelon_ {_httpimg_/gcdelon.gif}

## "export collection" ## collector_bar_button ## expt ##
_httpicongcexptof_ {_httpimg_/gcexptof.gif}
_httpicongcexpton_ {_httpimg_/gcexpton.gif}


######################################################################
# 'gsdl' page
package gsdl
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------


_textgreenstone1_ {
Greenstone is a suite of software which has the ability to serve digital
library collections and build new collections.  It provides a new way of
organizing information and publishing it on the Internet or on CD-ROM.
Greenstone is produced by the New Zealand Digital Library Project at the
University of Waikato, and distributed in cooperation with UNESCO and the
Human Info NGO. It is open-source software, available from
<i>http://greenstone.org</i> under the terms of the GNU General Public
License.
}

_textgreenstone2_ {
The New Zealand Digital Library website (<a
href="http://nzdl.org">http://nzdl.org</a>) contains numerous example
collections, all created with the Greenstone software, which are publicly
available for you to peruse. They exemplify various searching and browsing
options, and include collections in Arabic, Chinese, French, Maori, and
Spanish, as well as English. There are also some music collections.
}

_textplatformtitle_ {platform}
_textgreenstone3_ {
Greenstone runs on Windows, Unix and Mac OS X. The distribution includes ready-to-use
binaries for all versions of Windows, and for Linux and Mac OS X. It also includes
complete source code for the system, which can be compiled using Microsoft
C++ or gcc.  Greenstone works with associated software that is also freely
available: the Apache Webserver and PERL. The user interface uses a Web
browser: typically Netscape Navigator or Internet Explorer.
}

_textgreenstone4_ {
Many document collections are distributed on CD-ROM using the Greenstone
software. For example, the <i>Humanity Development Library</i> contains
1,230 publications ranging from accounting to water sanitation. It runs on
minimal computing facilities such as those typically found in developing
countries. The information can be accessed by searching, browsing by
subject, browsing by titles, browsing by organisation, browsing a list of
how-tos, and by randomly viewing the book covers.
}

_textcustomisationtitle_ {customisation}
_textgreenstone5_ {
Greenstone is specifically designed to be highly extensible and
customisable. New document and metadata formats are accommodated by writing
"plugins" (in Perl). Analogously, new metadata browsing structures can be
implemented by writing "classifiers." The user interface look-and-feel can
be altered using "macros" written in a simple macro language. A Corba
protocol allows agents (e.g. in Java) to use all the facilities associated
with document collections. Finally, the source code, in C++ and Perl, is
available and accessible for modification.
}

_textdocumentationtitle_ {documentation}
_textdocuments_ {Extensive documentation for the Greenstone software is available.}

#_textthreedocs_ {There are three documents that explain the Greenstone system:}
#_textinstall_ {The Greenstone Digital Library Software Installer's Guide}
#_textuser_ {The Greenstone Digital Library Software User's Guide}
#_textdevelop_ {The Greenstone Digital Library Software Developer's Guide}

_textmailinglisttitle_ {mailing list}
_textmailinglist_ {
There is a mailing list intended primarily for discussions about the
Greenstone digital library software.  Active users of Greenstone should
consider joining the mailing list and contributing to the discussions.
To subscribe, go to  <a href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users</a>.

To send a message to the list, address it to <a
href="mailto:greenstone-users@list.scms.waikato.ac.nz"
>greenstone-users@list.scms.waikato.ac.nz</a>.
}

_textbugstitle_ {bugs}
_textreport_ {
We want to ensure that this software works well for you.  Please report any
bugs to <a href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>
}

_textgs3title_ {in the works}
_textgs3_ {Greenstone 3 is a complete redesign and reimplementation which 
retains all the advantages of Greenstone 2 (the current version)--for example, 
it is multilingual, multiplatform, and highly configurable. It 
incorporates all the features of the existing system, and is backwards 
compatible: that is, it can build and run existing collections without 
modification. Written in Java, it is structured as a network of 
independent modules that communicate using XML: thus it runs in a 
distributed fashion and can be spread across different servers as 
necessary. This modular design increases the flexibility and 
extensibility of Greenstone. The new version is expected to be 
available for experimental use by 23 December 2003. An initial design for 
the system is outlined in "The design of Greenstone 3: An agent based 
dynamic digital library" (download 
<a href="http://www.greenstone.org/manuals/gs3design.pdf">PDF</a>).}

_textcreditstitle_ {credits}

_textwhoswho_ {
The Greenstone software is a collaborative effort between many
people. Rodger McNab and Stefan Boddie are the principal architects and
implementors.  Contributions have been made by David Bainbridge, George
Buchanan, Hong Chen, Michael Dewsnip, Katherine Don, Elke Duncker, Carl Gutwin, Geoff Holmes, Dana McKay, John
McPherson, Craig Nevill-Manning, Dynal Patel, Gordon Paynter, Bernhard Pfahringer, Todd
Reed, Bill Rogers, John Thompson, and Stuart Yeates. Other members of the New Zealand
Digital Library project provided advice and inspiration in the design of
the system: Mark Apperley, Sally Jo Cunningham, Matt Jones, Steve Jones, Te Taka
Keegan, Michel Loots, Malika Mahoui, Gary Marsden, Dave Nichols and Lloyd Smith. We would also like to
acknowledge all those who have contributed to the GNU-licensed packages
included in this distribution: MG, GDBM, PDFTOHTML, PERL, WGET, WVWARE and XLHTML.
}


#------------------------------------------------------------
# icons
#------------------------------------------------------------


## "about the greenstone software" ## green_bar_left_aligned ## abgsgr ##
_httpiconabgsgr_ {_httpimg_/abgsgr.gif}
_widthabgsgr_ {_pagewidth_}
_heightabgsgr_ {17}


######################################################################
# 'users' page
package userslistusers
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textlocu_ {List of current users}
_textuser_ {user}
_textas_ {account status}
_textgroups_ {groups}
_textcomment_ {comment}
_textadduser_ {add a new user}
_textedituser_ {edit}
_textdeleteuser_ {delete}


######################################################################
# 'users' page
package usersedituser
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------


_textedituser_ {Edit user information}
_textadduser_ {Add a new user}

_textaboutusername_ {
Usernames must be between 2 and 30 characters long. They can contain
alphanumeric characters, '.', and '_'.
}

_textaboutpassword_ {
Passwords must be between 3 and 8 characters long. They can contain any
normal printable ASCII characters.
}

_textoldpass_ {If this field is blank the old password will be kept.}
_textenabled_ {enabled}
_textdisabled_ {disabled}

_textaboutgroups_ {
Groups is a comma separated list, do not put spaces after the commas.
}


######################################################################
# 'users' page
package usersdeleteuser
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textdeleteuser_ {Delete a user}
_textremwarn_ {Do you really want to permanently remove user <b>_cgiargumun_</b>?}


######################################################################
# 'users' page
package userschangepasswd
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textchangepw_ {Change password}
_textoldpw_ {old password}
_textnewpw_ {new password}
_textretype_ {retype new password}


######################################################################
# 'users' page
package userschangepasswdok
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textsuccess_ {Your password was successfully changed.}


######################################################################
# 'users' page
package users
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textinvalidusername_ {The username is invalid.}
_textinvalidpassword_ {The password is invalid.}
_textemptypassword_ {Please enter an initial password for this user.}
_textuserexists_ {This user already exists, please enter another username.}

_textusernameempty_ {Please enter your username.}
_textpasswordempty_ {You must enter your old password.}
_textnewpass1empty_ {Enter your new password and then retype it.}
_textnewpassmismatch_ {The two versions of your new password did not match.}
_textnewinvalidpassword_ {You entered an invalid password.}
_textfailed_ {Either your username or password was incorrect.}


######################################################################
# 'status' pages
package status
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------


_textversion_ {Greenstone version number}
_textframebrowser_ {You must have a frame enabled browser to view this.}
_textusermanage_ {User management}
_textlistusers_ {list users}
_textaddusers_ {add a new user}
_textchangepasswd_ {change password}
_textinfo_ {Technical information}
_textgeneral_ {general}
_textarguments_ {arguments}
_textactions_ {actions}
_textbrowsers_ {browsers}
_textprotocols_ {protocols}
_textconfigfiles_ {Configuration files}
_textlogs_ {Logs}
_textusagelog_ {usage log}
_textinitlog_ {init log}
_texterrorlog_ {error log}
_textadminhome_ {admin home}
_textreturnhome_ {Greenstone home}
_titlewelcome_ { Administration }
_textmaas_ {Maintenance and administration services available include:}
_textvol_ {view on-line logs}
_textcmuc_ {create, maintain and update collections}
_textati_ {access technical information such as CGI arguments}

_texttsaa_ {
These services are accessed using the side navigation bar on the lefthand
side of the page.
}

_textcolstat_ {Collection Status}

_textcwoa_ {
Collections will only appear as "running" if their build.cfg
files exist, are readable, contain a valid builddate field (i.e. > 0),
and are in the collection's index directory (i.e. NOT the building
directory).
}

_textcafi_ {click <i>abbrev.</i> for information on a collection}
_textcctv_ {click <i>collection</i> to view a collection}
_textsubc_ {Submit Changes}
_texteom_ {Error opening main.cfg}
_textftum_ {Failed to update main.cfg}
_textmus_ {main.cfg updated successfully}


######################################################################
# 'bsummary' pages
package bsummary
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textbsummary_ {Build summary for _collectionname_ collection}
_textflog_ {Fail log for _collectionname_ collection}


############################################################################
#
# This stuff is only used by the usability (I'd like to Complain) stuff
#
############################################################################
package Global

_greenstoneusabilitytext_ {Greenstone Usability}

_textwhy_{<p>Sending this report is a way of indicating you have found the web page you were viewing difficult or frustrating.}
_textextraforform_ {You do not have to fill out the form -- any information will help.}
_textprivacybasic_{<p>The report will contain only information about the Greenstone web page you were viewing, and the technology you were using to view it (plus any optional information you provide).}
_textstillsend_{Would you still like to send this report?}

_texterror_ {error}
_textyes_{Yes}
_textno_{No}
_textclosewindow_{Close Window}
_textabout_ {About}
_textprivacy_ {Privacy}
_textsend_ {Send}
_textdontsend_{Don\\'t Send}
_textoptionally_{Optionally}

_textunderdev_{Details preview will be available in the final version.}

_textviewdetails_{View report details}
_textmoredetails_{More details}
_texttrackreport_{Track this report}
_textcharacterise_{What kind of problem is it}
_textseverity_{How bad is the problem}
 
_textbadrender_{Page looks strange}
_textcontenterror_{Content error}
_textstrangebehaviour_{Strange behaviour}
_textunexpected_{Something unexpected happened}
_textfunctionality_{Hard to use}
_textother_{Other}

_textcritical_{Critical}
_textmajor_{Serious}
_textmedium_{Medium}
_textminor_{Minor}
_texttrivial_{Trivial}

_textwhatdoing_{What were you trying to do?}
_textwhatexpected_{What did you expect to happen?}
_textwhathappened_{What actually happened?}

_cannotfindcgierror_ {<h2>Sorry!</h2>Can\\'t find the server programs for the "I\\'d Like to Complain" button.}

_textusabbanner_ {the Greenstone koru-style banner}


######################################################################
# 'translator' pages
package translang
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------
	
_texttranslator_ {The Translator}

_texttranshead_ {
<strong><br></center><a href=\"_gwcgi_?e=_compressedoptions_&a=lang&p=translang\">
<img src=\"_httpimg_/tranhead.gif\"></a>
<center><p>
<img src="_httpimg_/divb.gif"></strong><p>
}

_textinitial_ {
</center>
These pages help you improve Greenstone's foreign language support. Using them, you can
<ul>
  <li>translate the interface into a new language
  <li>update an existing language interface to reflect new Greenstone facilities
  <li>correct translation errors in an existing language interface
</ul>

You will be presented with a series of web pages, each containing
several phrases to translate.
You proceed by translating the language interface phrase by phrase.
Many phrases contain HTML formatting commands: you should not
attempt to translate these but preserve them intact in the translated
version. Words flanked by underscores (like _this_) should not be
translated either (they're Greenstone "macro" names).
<p>
If you are updating an existing translation, you will not be presented
with phrases for which a translation already exists. Sometimes a translation
exists but the English text has since been changed. In this case the current
translation will be provided and you should check and update this if necessary.
<p>
Each page ends with a "_textnext_" button. When you press it, changes are
made immediately to a separate Greenstone installation at nzdl.org. A button
is provided on each page to access this site.
<p>
<center>
}

#_textselectbase_ {Please select a base language from which to translate:}
_textselectforeign_ {Please select the language you are translating into:}
_textselectfiletotranslate_ {Please select a file to translate:}

_texttranslatecoredm_ {Core Macrofile}
_texttranslateauxdm_ {Auxiliary Macrofile}
_texttranslateglidict_ {GLI Dictionary}

_textenter_ {ENTER}

_textchoosedifferent_ {Please choose different source and target languages!}

_textpage_ {Page}
_textof_ {of}

_textnext_ {NEXT}
_textnextwarning_ {
Pressing "_textnext_" will record all non-blank fields as translations.<br>
If you do not wish to do this, first press }
_textresetform_ {RESET FORM}

_textthanks_ {Thank you for updating the}
_texttrans_ {translation.<br>The file is now part of the Greenstone system and
 will be included in future releases.}

# _textgetdmfiles_ {You can download the macro files you have created}
# _textviewtranslation_ {Your changes will immediately be reflected}
# _texthere_ {here}

############
# gli page
############
package gli

_textgli_ {The Librarian Interface}
_textglihelp_ {

The Greenstone Librarian Interface (GLI) gives you access to Greenstone's 
functionality from an easy-to-use, 'point and click' interface. This allows you to collect sets of documents, import or assign metadata, and build them into a Greenstone collection.
 <p>
Note that the GLI is run in conjunction with Greenstone, and assumes that
it is installed in a subdirectory of your Greenstone installation. If you
have downloaded one of the Greenstone distributions, or installed from a
Greenstone CD-ROM, this will be the case.
 
 
<h4>Running the GLI under Windows</h4>
 
Launch the librarian interface under Windows by selecting <i>Greenstone Digital Library</i> from the <i>Programs</i> section of the <i>Start</i> menu and choosing <i>Librarian Interface</i>. 

 
<h4>Running the GLI under Unix</h4>
 
To run the GLI under Unix, change to the <i>gli</i> directory in your Greenstone
installation, then run the <i>gli.sh</i> script. 
 
<h4>Running the GLI under Mac OS X</h4>

In the finder, browse to <i>Applications</i> then <i>Greenstone</i>
(if you installed Greenstone into the default location), and then
launch the <i>GLI</i> application.
}

#------------------------------------------------------------
# icons
#------------------------------------------------------------


## "the greenstone librarian interface" ## green_bar_left_aligned ## gligr ##
_httpicongligr_ {_httpimg_/gligr.gif}
_widthgligr_ {_pagewidth_}
_heightgligr_ {17}
